Subject: Bug#4272: ncftp core dumping

From: Mr Stuart Lamble <[email-masked]>
Date: Tue, 27 Aug 96 13:59:42 +1000

It didn't core dump on me, but it _did_ start going into an infinite
loop when the xterm reached around 180 columns. On investigation, the
problem appears to be the typedef:

typedef string char[160];

If the xterm is wider than around 160 characters, overruns start to
occur. This is Not a Good Thing(tm). Fixing this is not incredibly
difficult, but it _is_ tedious - I had a quick try yesterday, and
ncftp definitely started core dumping with the quick and dirty fix
I tried. *sighs*

Anybody want to forward this bug report (with this note attached :-)
to the upstream author? (the submitter was correct when he said he
thought it was an ncftp bug - it most definitely is.) In the worst
case, I'll submit a diff around the end of the year. (don't have time
before then to even _think_ about fiddling around with code that's
not mine to worry about. :-)